package com.liangjian.dataplatform.member.entity.po.secondary;

import com.liangjian.dataplatform.member.entity.po.BasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/18
 */
@Entity
@Table(name = "mem_point_growth_rule")
@ApiModel("积分成长值规则")
public class PointGrowthRule extends BasicEntity {

    @ApiModelProperty("终端编码")
    @Column(name = "terminal_code")
    private String terminalCode;

    @ApiModelProperty("终端名称")
    @Column(name = "terminal_name")
    private String terminalName;

    @ApiModelProperty("用户行为")
    private String action;

    @ApiModelProperty("数据表名")
    @Column(name = "table_name")
    private String tableName;

    @ApiModelProperty("是否启用积分规则")
    @Column(name = "using_point_rule")
    private Integer usingPoint;

    @ApiModelProperty("积分规则")
    @Column(name = "point_rule")
    private String pointRule;

    @ApiModelProperty("是否启用成长值规则")
    @Column(name = "using_growth_rule")
    private Integer usingGrowth;

    @ApiModelProperty("成长值规则")
    @Column(name = "growth_rule")
    private String growthRule;

    @ApiModelProperty("定时任务时间")
    @Column(name = "time_task_clock")
    private Integer timeTaskClock;

    @ApiModelProperty("定时任务周期")
    @Column(name = "time_task_cycle")
    private String timeTaskCycle;

    @ApiModelProperty("是否已运行")
    private Integer running;

    public String getTerminalCode() {
        return terminalCode;
    }

    public void setTerminalCode(String terminalCode) {
        this.terminalCode = terminalCode;
    }

    public String getTerminalName() {
        return terminalName;
    }

    public void setTerminalName(String terminalName) {
        this.terminalName = terminalName;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String table) {
        this.tableName = table;
    }

    public Integer getUsingPoint() {
        return usingPoint;
    }

    public void setUsingPoint(Integer usingPoint) {
        this.usingPoint = usingPoint;
    }

    public Integer getUsingGrowth() {
        return usingGrowth;
    }

    public void setUsingGrowth(Integer usingGrowth) {
        this.usingGrowth = usingGrowth;
    }

    public String getPointRule() {
        return pointRule;
    }

    public void setPointRule(String pointRule) {
        this.pointRule = pointRule;
    }

    public String getGrowthRule() {
        return growthRule;
    }

    public void setGrowthRule(String growthRule) {
        this.growthRule = growthRule;
    }

    public Integer getTimeTaskClock() {
        return timeTaskClock;
    }

    public void setTimeTaskClock(Integer timeTaskClock) {
        this.timeTaskClock = timeTaskClock;
    }

    public String getTimeTaskCycle() {
        return timeTaskCycle;
    }

    public void setTimeTaskCycle(String timeTaskCycle) {
        this.timeTaskCycle = timeTaskCycle;
    }

    public Integer getRunning() {
        return running;
    }

    public void setRunning(Integer running) {
        this.running = running;
    }
}
